aboutsummaryrefslogtreecommitdiffstats
path: root/testsuite/gna/bug0101/testsuite.sh
diff options
context:
space:
mode:
authorTristan Gingold <tgingold@free.fr>2019-06-12 18:41:32 +0200
committerTristan Gingold <tgingold@free.fr>2019-06-12 18:41:32 +0200
commit26235c3d1e04457801365f9028a1ac3ac58c08a6 (patch)
treee8dc3c078cea0a494607b6437ab03ecc76bb78ed /testsuite/gna/bug0101/testsuite.sh
parent6f25e8dff808b37013cf6fa0cb2868e8a85caa79 (diff)
downloadghdl-26235c3d1e04457801365f9028a1ac3ac58c08a6.tar.gz
ghdl-26235c3d1e04457801365f9028a1ac3ac58c08a6.tar.bz2
ghdl-26235c3d1e04457801365f9028a1ac3ac58c08a6.zip
Add a testcase for previous commit.
Diffstat (limited to 'testsuite/gna/bug0101/testsuite.sh')
-rwxr-xr-xtestsuite/gna/bug0101/testsuite.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/testsuite/gna/bug0101/testsuite.sh b/testsuite/gna/bug0101/testsuite.sh
new file mode 100755
index 000000000..4162baab2
--- /dev/null
+++ b/testsuite/gna/bug0101/testsuite.sh
@@ -0,0 +1,15 @@
+#! /bin/sh
+
+. ../../testenv.sh
+
+# Expect only one error.
+analyze_failure repro1.vhdl 2> repro1.err
+if ! diff --strip-trailing-cr repro1.err repro1.ref; then
+ echo "unexpected output"
+ exit 1;
+fi
+
+rm -f repro1.err
+clean
+
+echo "Test successful"